On the program

 Top Next

The title of the program

“Non-linear regression equations, two-dimensional function-factor trends with self-diagnosed parameters and heightened truth (FSP-1 trends)”

The right-holder

© 2011 The Institute of Mining, the Ural branch of Russian academy of sciences (IM UB RAS)

All rights are protected.

It is entered in the Register of RF programs for electronic computers (EC).

The state registration certificate No 2011616230.

The information about the authors

Antonov Vladimir Alexandrovich – making the plotting methodology and algorithms of regression equations and FSP-1 trends computation, program design.

Yakovlev Michael Victorovich – making the structure, algorithm and design of the program.

Reference to the program in literature

Antonov V.A. Non-linear regression equations, two-dimensional function-factor trends with self-diagnosed parameters and heightened truth (FSP-1 trends): the program for electronic computers (EC), RF; the registration number 2011616230. / V.A. Antonov, M.V. Yakovlev, IM UB RAS – Yekaterinburg, 2011.


The program purpose and field of application

 Top Previous Next

The purpose of the program

The program answers the purpose of computation (on random-distributed values of dependent quantity) and graph plotting two-dimensional function-factor non-linear regression equations, trends with heightened truth, introduced in the form of polynomial functions, having self-diagnosed parameters (indexes, coefficients, bases, etc.) during the computation.

The field of the program application

The program is applied in regression analysis of dependent value in cases of possible mathematic expression of sought for equations of its non-linear regression; trends by polynomial identical or different functions. It can be applied in the fields of industry, science and engineering where mathematic and physical values as well as other parameters and indexes, sociological, technical and economic for instance, can be considered as dependent values.

The application of the Program makes it possible to solve the following regression problems:

• to determine, give interpretation, explain mathematically the regularity according to which with some casual deviation the dependent quantity values received in experiments are distributed.

• to set up a mathematical regression model of the objects or processes under study.

• to define characteristic parameters (extremums, special points, asymptotes, intersections with coordinate axis) of objects or processes being reflected.

• to predict the dependent quantity values in the fields of interpolation and extrapolation.

• to control an object or a technological process according to a regression equation.


The principle of regression equation, trends FSP plotting

Non-linear regression equations, trends FSP are plotted on function-factor principle according to which functions entering them are given in a general form and are considered as mathematically expressed factors of influence natural or some other processes on the sought for regression. The functions carry the parameters in such a complicated manner, that the equations are not reduced to a non-linear form by the symbol of their estimation. To plot a regression the user has not a priori to specify parameters contained in the equation functions even in zero approximation. Total values of these parameters determining the final and specific form of factor functions, their special features in increasing or decreasing concavity or convexity order are self-diagnosed, that is are objectively computed as optimal in the rational number domain (fractional, negative, positive numbers) by the program itself. The optimization is attaining the greatest R2 determination coefficient of the equations. As their form is chosen within the character of factor functions, describing the supposed effect of nature processes on regression, and these functions parameters are self-diagnosed with due regard for peculiarities of focal points distribution, then the FSP equations, set with their use, are extended over a wide interpolation and extrapolation range, being more truth-worthy as compared with known equations in which functions and functional parameters, index of power for instance, are artificially set.

The influencing factors are expressed mathematically by Z(х, ξ) functions, where х – a deterministic argument; ξ – self-diagnosed parameters. For example, in case the factor is expressed by a power function (ξ=μ, μ – a power index), we have Z=X μ,and in case when it is expressed by an exponential function (ξ=β, β – an index in the power exponent) - Z = а βx, where а – is a base.

The regression equations and trends are formed with due regard for additive and multiplicative interaction of influencing factors. With additive interaction the presence of each regression interval, within the limits of which by particular argument variation its Y value changes monotonously (increases or decreases), is caused by the influence of some factor. The effect of several factors is mapped into mathematic equation formula by the sum of corresponding functional terms Z. With multiplicative interaction of functional factors the combination of two intervals of converse trend monotony in the extremum region (its increasing and decreasing, for instance) is represented in the equation formula by the product of different functions Z1Z2. The formula of regression equation and trend is presented as follows:

where Y is regression; j is the number of regression monotony interval with due regard for additivity; ν is the number of regression extremum with due regard for multiplicativity; B, Aj, Av are the coefficients.

The optimal ξ parameters values are computed on the basis of joint use of least-squares technique (LST) and new numeric optimization method – the method of parabolic vertex approximation (MPVA), being especially developed in the Institute of Mining UB RAS. The essence of PVA method (V.A. Antonov’s method) consists in multiple-repeated and qualifying extremum region approximation of m-dimensional function R2(ξ m) ≡ R2(ξ1, ξ2, ξ 3 …ξ m) as well as of m-dimensional parabolic function, having the only maximum, conventionally named the vertex. In k-approximation the parabolic function Pk(ξ m) is presented in the form

where Сk, Сj1k, Сj2k are the coefficients. The approximation is performed by points of control appertaining to the R2(ξm) function for which the inequalities Сj2k< 0. In the process of approximations the points of control with the least R2(ξ m) value are, with due regard for Сj2k<0 necessary correction, replaced by newly formed points of control with ξ1вk, ξ2вk, … ξmвk , parameters computed by parabolic function vertex. As the result of approximation the successive approximation of parabolic function vertex point to the maximum point of the trend determination coefficient is performed. The totality of regression equation functional parameters with specified arbitrary small error and the trend ξ 1, ξ 2, ξ 3 …ξm , too is computed in that way that by this totality the equality has the greatest R2 coefficient of determination among all possible, evaluated by LST method.

In accordance with the accepted conception of regression equations plotting the FSP-1 trends are classified with division into forms and types by the names symptoms of mathematic functions drawn into the regression and the form of their interaction (A – additive, M – multiplicative); the number of independent arguments, the number of self-diagnosed parameters by each argument in additive (ξ1, ξ2, …), factor as well as in multiplicative (ξм1, ξм2, …) factor.

The forms and types of regression equations and FSP-1 trends conducted by the given program are presented in table 1.

Table 1 – Two-dimensional regression equations and FSP-1 trends
Extremum number lengthwise the X axis | The regression equation type (self-diagnosed parameters) | The regression equation and the trend formula | The typical chart
POLYNOMIAL POWER EQUATIONS WITH SELF-DIAGNOSED POWER EXPONENTS (PS SPS), X >0
0 | А-Х(μ) |  |
1 | А-Х(μ1, μ2) |  |
2 | А-Х(μ1, μ2, μ3) |  |
 | “oriented” | Is selected automatically from the following types: А-Х(μ) , either А-Х(μ1, μ2) or А-Х(μ1, μ2, μ3)
POLYNOMIAL EXPONENTIAL WITH SELF-DIAGNOSED COEFFICIENTS IN POWER INDEXES (PP SK)
0 | А-Х(β) |  |
0, 1 | А-Х(β1, β2) |  |
POLYNOMIAL EXPONENTIAL AND LINEAR POWER WITH SELF-DIAGNOSED COEFFICIENT IN THE POWER INDEX (PPLS SK)
0, 1 | А-Х(β, μ =1) |  |
NORMAL DISTRIBUTION WITH SELF-DIAGNOSED COEFFICIENTS (NR SK), σ > 0
1 | М-Х(, σ) |  |
POLYNOMIAL EXPONENTIAL AND NORMALLY DISTRIBUTED WITH SELF-DIAGNOSED COEFFICIENTS (PPNR SK), σ > 0
1 | АМ-Х(β, , σ) |  |
POLYNOMIAL OF ASYMMETRIC DISTRIBUTION WITH SELF-DIAGNOSED BASES AND POWER EXPONENTS (PAR SP) , X > 0, a > 1, μ > 0
1 | М-X( а, μ) |  |
1 | М-X( а, μ, x > x0) |  |
1 | М-X(а, μ, x < x0) |  |
1, 2 | АМ-X(а1, а2, μ1, μ2, х>х01, х>х02) |  |
1, 2 | АМ-X(а1, а2, μ1, μ2, х <х01, х <х02) |  |
1, 2 | АМ-X(а1, а2, μ1, μ2, х01< х < х02) |  |
POLYNOMIAL QUAZI-JUMP WITH SELF-DIAGNOSED PARAMETERS (PKS SP) H - horizontal, P - parallel .
0 | А-X(х0, β) H |  |
0, 2 | А-X(х0, β) P |  |
1, 2 | А-X(х0, β) |  |
POLYNOMIAL SINE (PSin)
Assemblage | A-X(ω, φ) |  |
POLYNOMIAL AMPLITUDE-DEPENDENT SINE (PASin)
Assemblage | AM-X(ω, φ, βa) |  |
POLYNOMIAL EXPONENTIAL WITH THE SINE (PPSin)
Assemblage | A-X(ω, φ, βp) |  |
POLYNOMIAL EXPONENTIAL WITH AMPLITUDE-DEPENDENT SINE (PPASin)
Assemblage | AM-X(ω, φ, βa,βp) |  |

Interpolation within large intervals and extrapolation truth-worthiness is more higher by regression equations and FSP-1 trends as compared with known equations in which parameters entering the chosen functions are artificially selected a priori by some set numbers. Nevertheless the FSP-1 trend type can be uniquely chosen only by known in advance peculiarities and properties of the sought for regression dependence. Such information is more often not given. However according to available data on relative error of those means or methods, using which initial values of a dependent quantity are obtained (computed in an indirect way or directly measured), one can compute the coefficient of specified determination Rз2. Then the trend of the form and type, being the most truth-worthy, is selected; the value of its determination coefficient is the most proximate to that of the specified determination value.

In the FSP-1 program it is possible, on selection power regression equations and PS SPS trends, to define its type oriented on the error of the dependent quantity initial values. The coefficient of specified determination Rз2 is computed by the input δyi relative error in the option “PS SPS oriented”:

The program selects such PS SPS trend type as the most truth-worthy, the absolute difference between Rз2 and R2 coefficients by that being minimal. The relative error is specified within the interval from zero up to maximum admissible value, limited by the Rз2 > 0.

The FSP equations (formulae, charts, coefficient of determination, adequacy estimation) are extended to interpolation and extrapolation fields under the condition of their uniformity (having identical properties) with the given nodal points according to which the regression is plotted. This stands for that the factors, functionally considered in the equation, act in the fields as well as in nodal points, and the emergence of other newly originated factors is not supposed. In the same way, on moving off from nodal points other space properties indirectly influencing the regression are retained. New space properties in these fields are not to be originated. The external regression limits are set up there, where, for theoretical views, if only one from the considered factors stops acting. The latter can take place when the factors are locally extended to the boundary of the area on emergence either conditioned by something limiting dependent quantity value, or factor function, as well as on algebraic sign changing.


The modes and parameters of regression equations and trends plotting

The program computes and plots the following regression equations and trends:

· Linear;
· Power;
· Exponential;
· PS SPS form, the types: A-X(μ), A-X(μ1, μ2), A-X(μ1, μ2, μ3), oriented;
· PP SK form, the types: A-X(β), A-X(β1, β2);
· PPLS SK form, the A-X(β, μ = 1) type;
· NR SKform, the M-X(xм, σм) type;
· PPNR SK form, the AM-X(β, xм, σм);
· PAR SP form, the types M-X(a, μ), M-X((a, μ, x > x0), M-X(a, μ, x < x0), AM-X(a1, a2, μ1, μ2, x < x01, x < x02), AM-X(a1, a2, μ1, μ2, x01 < x < x02);
· PKS SP form, the types: А-Х(х0, β)H, А-Х(х0, β)P, А-Х(х0, β).
· PSin form, the А-X(ω, φ) type;
· PАSin form, the АМ-X(ω, φ, βa) type;
· PРSin form, the А-X(ω, φ, βp) type;
· PРАSin form, the АМ-X(ω, φ, βa , βp) type.

Regression equations and trends PP SK A-X(β), A-X(β1, β2); PPLS SK A-X(β, μ = 1); PAR SP M-X(a, μ), M-X(a, μ, x > x0), M-X(a, μ, x < x0), AM-X(a1, a2, μ1, μ2, x < x01, x < x02), AM-X(a1, a2, μ1, μ2, x01 < x < x02) are plotted in the following two modes:

· The intersection point of the trend curve with the Y vertical axis by X = 0 is not specified;
· The intersection point of the trend curve with the Y vertical axis by X = 0 is specified.

The relative error of computing function parameters is from 0.1 to 0.0001.

The limitation of the iterations number in defining one parameter in one computation cycle is from 500 to 50000.

The limitation in the number of computing cycles is from 1000 to 15000.

The number of decimal digits after the radix in the trend formula is from 0 to 15.

Decimal divider is preserved in the form of a point and a radix.

The argument sign:

• the X argument is positive in the trends PS SPS, PAR SP;

• the X argument is negative and positive in the trends PP SK, PPLS SK, NR SK, PPNR SK, PKS SP, PSin, PАSin, PРSin, PРАSin.

The minimal range of indication on the X-abscissa scale is from 0 to 10-9.

The maximum range of indication on the X-abscissa scale is from 0 to 1012.

The trend sign of the forms PS SPS, PP SK, PPLS SK, PPNR SK, PAR SP, PKS SP, PSin, PАSin, PРSin, PРАSin is positive and negative.

The trend sign of the NR SK form is either wholly positive or wholly negative.

The minimal range of indications on the Y-ordinate scale is from -10-9 to 0.

The maximum range of indications on the Y-ordinate scale is from -1012 to 0 and from 0 to 1012.

The regression equations and trends are presented in the form of mathematic textual and (or) chart formulae as well as in the graph form.

On finishing computations

The computation of the regression equation formula is terminated when the required accuracy (relative computation error) is attained, either when the maximum iterations number for trend types in which one parameter is defined or on attaining the maximum cycle number for the trend types in which more than one parameter are defined.

`


The program interface

Several windows operate in the program:

· The window of trends plotting;
· The window of options selection;
· The window of trend type selection;
· The window of data error specifying;
· The window of projects operation;
· The window of charts legends.


The window of trends plotting

The interface of the trends plotting window includes the menu bar, buttons for often used functions, the panel for initial data input either from the keyboard or with the mouse-aid as well as for trends type selection; the panel for adjusting external charts form; the fields for trends equations derivation; the fields to reflect the initial data charts and to get trends.

The purpose of the program options control is introduced below:

There are the following points in the menu bar:

Open – reading initial data from

1) The textual file (.txt), where the first number, that is the independent quantity value, and the second number, that is the corresponding value of the dependent quantity are placed by the line in the form of number couples in each row. The presence of some blank amounts and tabulation signs before, after or between number couples in each row of no importance if only these numbers were divided either by one blank only or by tabulation symbol;

2) The Microsoft Excel file (.xls). Here the data can be arranged either horizontally in 2 rows and not less than 2 columns or vertically in 2 columns and not less than 3 rows. The first independent quantity value must be disposed in the A1 cell of the electronic table. The cells contiguous to the couple data set are to be empty;

3) The project file (.prj), where initial data for several trends are saved as well as trends formulae and data for charts plotting; properties, attributes and these charts execution are also saved here. The file is, in its essence, a textual file, that can be edited in textual editor-program only in the case if you exactly know what you are doing.

The button [image] corresponds to the menu choice Open.

Save data - that is write initial data into

1) the textual file (.txt) where the data will be arranged in 2 columns, the decimal divider for numbers being either “point”, “radix” or accepted in the operating system by default; the file is chosen in the panel, called by selection the menu bar option “Parameters”;

2) The Microsoft Excel file (.xls) where the data will be arranged either horizontally in 2 rows or vertically in 2 columns depending on the adjustments in the bar, being called by selection the menu bar option “Parameters”.

The button [image] corresponds to the menu choice Save data.

Save a chart - that is writing a chart in the file of Bitmap format (.bmp).

Insert data - that is reading initial data from the buffer exchange; the data for this can be arranged both horizontally in 2 rows and not less than 3 columns or vertically in 2 columns and in less than 3 rows.

The button [image] corresponds to the menu choice Insert data. .

Copying the textual trend formula to the clipboard - is for using in the programs of foreign producers.

Copying the graphic trend formula to the clipboard - is for using in the programs of foreign producers.

Copying a chart to the clipboard - is for using in the programs of foreign producers.

The button [image] corresponds to the menu choice Copy a chart to the clipboard.

Export to Excel - that is to call the Microsoft Excel program, to arrange the intial data list in a new book, the data being disposed either horizontally in 2 rows or vertically in 2 columns, as well as to arrange a diagram with a trend in the same or separate list, depending on the adjustments of the window called by selection the menu bar choice “Parameters”.

Printing a chart - is by default on the A4 sheet size of album orientation.

The button [image] corresponds to the menu choice Printing a chart .

Parameters - is control bar calling by the program adjustments.

Exit - is the completion of the program’s operation.

View - permits to change the program appearance (skin), the presence or absence of trend formula and coordinate table in the chart as well as to call the window of charts legends.

The basic buttons:

- Corresponds to the menu choice Open

- Corresponds to the menu choice Save data

- Corresponds to the menu choice Copy a chart into the clipboard

- Corresponds to the menu choice Insert data

- Corresponds to the menu choice Chart printing

- The button “Start” serves for launching the computation start of trend formula

- Are the buttons of navigation in the pages with the charts of computed trends

The buttons of data input with mouse-aid :

a) the button of starting the mode of initial data input in the table with mouse-aid;

b) for cancelling the last input point;

c) for either re-input of the cancelled dot or input the new point in the initial data table;

d) for clearing the initial data table.

The buttons for operation with data of the MS Excel open worksheet :

View-14e - Serves for data import from the MS Excel worksheet; for this, the data being disposed in 2 rows or in 2 columns are to be marked out;

View-15e - The trend, received after plotting on data imported from the MS Excel worksheet, is sent to this worksheet.

The buttons of starting/shutting down the trends reflection:

- A trend is being reflected;

- A trend is not being reflected.

The bar of choosing maximum values and scaling factors endwise:

It is intuitive.

It must be taken in view that the accuracy of data input with the computer mouse-aid depends on the choice of scaling factor (10n). For example, if scale limits on the X-axis are from -3x10 to 3x10, then the input point can have the value of 11.9; if the scale limits on the X-axis are from -30 to 30, then the input point can have the value of 11.89 .


The window of options selection

The window of parameters selection permits to change some characteristics computing a trend.


The window of trend type selection

The window of trend type selection contains 25 buttons with regression equations formulae. On directing the cursor to the button, the typical curve form for this trend type appears. In the drawing below the cursor is directed to the button of selection the PAR SP X(a1, a2, μ1, μ2, х > х01, х > х02) trend type:


The window of data error specifying

The window appears on choosing the trend type “PS SPS oriented” and pushing the button [image] .

You can specify the relative error δyi identical for all initial points. Then fix green color at light indicator by mouse click and introduce the error value in the upper window. After pressing the key with a tick, this error value is sent to all the cells of the lower table line.

For specifying the δyi error for every initial point separately, fix red color at light indicator and introduce the corresponding error values into the cells of the δyi lower table line.

In both cases the specified R2 determination factor will be computed and represented after pressing the key with a tick.


The window of projects operation

The window of operating with the projects appears on the mouse double clicking either in the window of trends plotting or on opening the file of projects (.prj).

The window interface of operating with projects includes the message on chart dimensions in pick-cells, the number of a chart in the project and control buttons:


The window of charts legends

The window interface of charts legends is given in the drawing:


The order of data input and plotting regression equations and trends

The initial data input can be carried out by several means:

1) manually by specifying the necessary points number with X, Y coordinates and inputting these coordinates from the computer keyboard into the table of initial data;

2) with the help of “mouse”-type manipulator, marking necessary points in the chart and using the represented points coordinates;

3) by copying the data from the foreign program to the exchange buffer and inserting them into the table with data;

4) by opening either the textual (.txt) or MS Excel file with the data having been saved before as well as the file created in textual editor or by the MS Excel program.

On importing data the decimal divider is either a dot or a radix.

5) by importing data from the MS Excel worksheet with the help of the button View-14e to take data from the Excel worksheet.

By this, the data arranged in 2 rows or 2 columns is to be marked out; after plotting the trend it is transmitted to the same worksheet by the button View-15e ;

6) by opening the project file (.prj), having been saved before, from the window of operations with projects.

The parameters of a trend plotting. The parameters of a trend plotting can be selected by pushing the “Parameters” menu bar button; they determine to a great extent the time of computation. It is recommended to begin with small values of such parameters as “The relative error of variables defining “ (it is 0.01 by default), “Maximum iterations number” (it is 500 by default); “Maximum cycles number” (it is 1000 by default). If you are not satisfied with the result, choose parameters in the order you require but be ready for waiting to plot a trend. If the computations last long, then you are able to cut short them in the appeared window:

For trends plotting one must press the button “Start” [image] , having chosen the trend type and its plotting parameters in advance.

In the mode of plotting regression PS SPS oriented the program defines the optimal trend type proceeding from the [image] relative error of initial data. For its input press the key View-16e and input [image] . different or identical to all the points. The received trend formula will most truth-worthy (for five - three PS SPS trend types, linear and power) conform to the regularity of initial data variation.

On double mouse-clicking the chart in the window of trends plotting the window of operations with projects opens. All plotted trends with their attributes are by this transmitted to this new window. All charts of one project will be of the same dimensions in pick-cells selected arbitrarily. This promotes the uniformity of the documents execution.

The buttons of the window of operations with projects are described in the part The Program Interface.


Printing and saving the results

Printing a trend chart is performed either on selection the menu choice “Chart printing” or pushing the button [image] in the window of trends plotting, or pushing the button [image] in the window of projects operation.

Initial data can be saved in textual (.txt) or table (.xls) format (look the menu choice To save data in the window of charts plotting).

To save a trend chart you can choose the menu option “To save a chart” in the window of trends plotting, the image by this being saved in the raster file (.bmp) of 1018x372 dimensions in pick-cells with normal window view. The window dimension being maximized, the file image will depend on screen resolution.

The button [image] serves to save a trend chart in the bmp-file in the window of operation with projects. The image dimension depends, by this, on the window of operation with projects dimension, being changed arbitrarily (from 400x300 pick-cells up to the maximum that depends on screen resolution). Therefore the received image can be of both album and portrait format or that of the required one.

It is possible to copy a trend chart into the buffer exchange for subsequent insertion in the foreign program having chosen the menu option ”To copy a chart into the clipboard” or by down the button [image] in the window of trends plotting.

A trend formula in the symbolic or graphic format can be saved by way of buffer exchange on selecting either the menu choice “To copy the textual trend formula into the clipboard” or the menu choice “To copy the trend graphic formula into the clipboard” accordingly.

Initial and finite data with specified chart dimensions and their execution can be saved in the form of projects files in the window of projects operation by pushing the button [image] .

Export to MS Excel

On choosing the menu option “Export to MS Excel”, a new specimen of the Microsoft Excel program opens; and the trend, performed by the program, will be drawn in the new worksheet of electronic table new book.

If the data were imported from the MS Excel worksheet with the help of the button View-14e , then after trend plotting the chart and the formula are transmitted to the same MS Excel worksheet with the help of the button View-15e .


The examples of regression equations plotting

· The equations of PS SPS form
· The equations of PP SK form
· The equations of PPLS SK form
· The equations of NR SK form
· The equations of PPNR SK form
· The equations of PAR SP form
· The equations of PKS SP form
· The equations of PSin form
· The equations of PASin form
· The equations of PPSin form
· The equations of PPASin form


The equations of PS SPS form

Example 1: Some values of Xi argument and dependent from it random values of Yi quantity (look table 2) are specified. Assuming that the sought for Y regression is conditioned by the additive influence of one factor, being reflected by a power function, let’s choose the corresponding equation type, that is, А-Х(μ). In the options of specified parameters let’s choose: the number of decimal digits after the radix in the equation formula – 4; the relative error of power indexes determination – 0,001. The mathematic formula and the chart, computed by the program are presented on drawing 1.

Example 2: Some values of Xi argument and dependent from it random values of Yi quantity are specified in table 3. Let’s assume that the sought for Y regression is formed under the influence of two factors described by power functions that additively interact within concavity and convexity intervals of the trend curve. Let’s choose the corresponding type of regression equation, that is, А-Х(μ1, μ2). In the options of its parameters let’s choose: the number of decimal digits after the radix in the equation formula – 4; the relative error of power indexes determination – 0,001. The mathematic formula and the chart, computed by the program are presented on drawing 2.

Example 3: The values of Xi argument and dependent from it random values of Yi quantity are specified in table 4 for regression equation plotting. Let’s suppose that factors, influencing the forming of regression equation, interact additively and are expressed by power functions. In the equation parameters option let’s choose: the number of decimal digits after the radix in the equation formula – 4; the relative error of power indexes determination – 0,001. Let’s specify the calculation of the equation parameters in the option “oriented” in the following two cases.

In the first case let’s specify the relative error of Yi initial values, identical with all focus points equal to 0,018. Then we’ll receive the coefficient of set determination, that is Rз2 = 0,9679. After the start the program defines automatically the type of the equation, oriented on the error: А-Х(μ) that reflects the influence of only one factor in the form of power function. The mathematic formula and equation chart computed by the program are presented on drawing 3a.

In the second case let’s specify the relative error of Yi initial values, identical with all focus points, but being decreased, equal to 0,010. Then we’ll receive the coefficient of set determination, that is Rз2 = 0,9901. After the start the program defines automatically the type of the equation, oriented on the error of another equation, that is: А-Х(μ1,μ2). The additive influence of two factors is reflected in it by power functions. The mathematic formula and equation chart computed by the program in this case are presented on drawing 3b.

Example 4: The values of Xi argument and corresponding values of the dependent Yi quantity, defined with high accuracy, are specified in table 5. In the parameters options of the desired equation let’s choose: the number of decimal digits after the radix in its formula – 6; the relative error of power indexes definition – 0,0001. Let’s set the equation definition in the option “oriented”, having written the condition in the appeared table, that is, the relative error of the dependent quantity initial values is equal to zero. We’ll receive Rз2 = 1 for this. After the start the program defines automatically the type of the error-oriented equation, that is, А-Х(μ1,μ2,μ3). The mathematic formula and equation chart computed by the program are presented on drawing 4.


The equations of PP SK form

Example 5: The values of Xi argument and dependent from it random values of Yi quantity in some points are given (look at table 6). Supposing that the regression dependence Y against X is conditioned by the additive influence of one factor expressed by an exponential function, let’s select the type of the sought for equation, that is, А-Х(β). In its parameters options let’s choose: the exponential function base – number e ; the decimal digits number after the radix in the equation formula – 5; the relative error of defining coefficient in the power index – 0, 0001. Let’s plot the equation in the following two modes.

In the first mode the intersection point of the regression line with vertical Y coordinate axis is not specified. The corresponding mathematic formula of the equation Y1 and its chart (solid line) computed by the program are presented on drawing 5.

In the second mode let’s specify the intersection point of regression line with vertical coordinate axis in the point Y = 1. The mathematic formula of the equation Y2 , corresponding to this additional condition, and its chart (dotted line) computed by the program are also introduced on drawing 5.

Example 6: The values of Xi argument and dependent from it random values of Yi quantity are given in table 7. Assuming that the Y regression is conditioned by the two factors additive influence, reflected by exponential functions, let’s choose the type of the sought for equation, that is, А-Х(β1, β2). In the options of its parameters let’s select: the exponential function base – number e ; the decimal digits number after the radix in the equation formula – 5; the relative error of defining coefficients in the power indexes – 0, 0001. The mathematic formula and equation chart computed by the program are introduced on drawing 6.


The equations of PPLS SK form

Example 7: Some values of Xi argument and dependent from it random values of Yi quantity are given (look at table 8). It is known that the Y regression is formed under the influence of two additively acting factors. One of them is, in the interval of Y abrupt increase, reflected by an exponential function and the other, that is, the factor of inclined asymptote, to which the regression curve under the argument increase comes nearer, is reflected by a linear function. Let’s select the type of the corresponding equation, that is, А-Х(β, μ=1). In the options of its parameters let’s choose: the exponential function base – number e ; the decimal digits number after the radix in the equation formula – 6; the relative error of defining coefficients in the power index – 0, 0001. Let’s plot the equation in the following two modes.

In the first mode the intersection point of the regression curve with vertical Y coordinate axis is not specified. The corresponding mathematic formula of the equation Y1 and its chart (solid line) computed by the program are presented on drawing 7.

In the second mode let’s give the regression curve intersection with vertical axis at the beginning of coordinates, that is in the point Х=0, Y=0. The mathematic equation formula Y2 corresponding to this additional condition and its chart (dotted line) are also introduced on drawing 7.


The equations of NR SK form

Пример 8. В таблицах 9 и 10 заданы две выборки некоторых значений аргумента Xi и соответствующих им распределений случайных значений величины Yi.

Полагая, что регрессия в каждой выборке описывается нормальным распределением, назначим соответствующий тип уравнения М-Х(, σ). В опциях параметров выберем: число десятичных знаков после запятой в формуле уравнения - 4; относительная погрешность определения параметров – 0,001. Исходные данные, формулы и графики построенных уравнений приведены на рисунке 8.

Example 8: Two accesses of Xi argument some values and corresponding to them distributions of Yi quantity random values are given in tables 9 and 10. Supposing that the regression in each access is described by normal distribution, let’s set the corresponding type of the equation, that is М-Х(, σ). In the options of the parameters let’s choose: the decimal digits number after the radix in the equation formula – 4; the relative error of parameters definition – 0,001. The initial data, formulae and charts of plotted equations are shown on drawing 8.

The central distribution point x = -4, 6665 and standard deviation σ = 1,0957 are defined from the equation Y1 plotted according to table 9. From the equation Y2 plotted according to table 10 [image] = 2,7225 and σ = 0,2861 are also defined.


The equations of PPNR SK form

Example 9: For plotting two regression equations and trends the suitable values of Xi and Yi quantities are given.

Let’s assume that the regressions are conditioned by two additively influencing factors. One of them is displayed over a wide abscissa-axis interval and is reflected by exponential function. The other factor of local additive action is reflected by the function of normal distribution. Let’s choose the type of a suitable equation, that is, АМ-Х(β, , σ). In its parameters options let’s select: the decimal digits number after the radix in the equation formula – 4; the relative error of defining coefficients in the power index – 0,01.

The regression equation plotted according to the data of table 11 is shown on drawing 9a. Positive normal distribution detected by the regression is localized around its center, that is [image] = 6, 3348 and is evaluated in terms of σ = 1,9943 standard deviation. The regression equation plotted according to the data of table 12 is shown on drawing 9b. Here, in the narrow local field, the negative normal distribution with the center of [image] = 185,461 and standard deviation σ = 7,3416 is detected by the regression.


The equations of PAR SP form

Example 10: Some values of Xi argument and corresponding to them distributions of random values of Yi quantity are specified in table 13. It is evident that the Yi distribution possesses right-side asymmetry. It is also known that the regression curve is to intersect the ordinate axis with the value X=0. Assuming that the regression is conditioned by multiplicatively interacting factors expressed by power and exponential functions, let’s select the type of a suitable equation, that is, М-X(а, μ). In the parameters options let’s choose: the decimal digits number after the radix in the equation formula –5; the relative error of parameters definition – 0,001. Let’s plot the equation in the following two modes.

In the first mode the intersection point of the regression curve with Y vertical axis is not given. As a result of plotting we’ll derive the Y1 regression equation; its formula and chart in the form of solid line are shown on drawing 10.

In the second mode let’s specify the intersection of regression curve with vertical Y axis in the point X=0, Y =0 in the option “Options”. Then we’ll receive another Y2 regression equation; its formula and chart in the form of dotted line are also shown on drawing 10.

Example 11: Two accesses of some Xi argument values and corresponding to them random values distributions of Y i quantity are specified in tables 14 and 15.

The Yi distribution given in table 14 possesses right-side asymmetry. The curves at the abrupt distribution inclination are essentially moved away axially from the beginning of the abscissa axis. The Yi distribution given in table 15 possesses left-side asymmetry. Therefore assuming that the regression is conditioned by multiplicatively acting factors, expressed by the displaced power and exponential functions, let’s choose the corresponding types of displaced equations, that is М-X( а, μ, x > xo) and М-X( а, μ, x < xo). Let’s set: the number of decimal ranks, taken into account in calculations – 4; the relative computation error – 0,001. The input data, formulae and charts of the plotted regression equations are shown on drawing 11.

The equation with left-side asymmetry computed on the data of table 14 is mapped on fragment a, its field of definition is х > 149,73. The equation with left-side asymmetry computed on the data of table 15 in two modes is shown on fragment b.

In the first mode the intersect point of regression curve with vertical Y axis is not specified. The equation Y1 with the 0 < х< 0,7713 definition field is received.

In the second mode such point with (0, 0) coordinates is specified. The equation Y2 with the 0 < х < 0,7737 definition field is received.

Example 12: Two accesses of some values of Xi argument and corresponding to them distributions of Yi quantity random values are specified in tables 16 and 17. The Yi distribution given in table 16 is displaced axially on the abscissa axis, possesses right-side asymmetry and hypothetically contains two maximums. The Yi distribution given in table 17 possesses left-side asymmetry and also contains two maximums. Assuming that the regression is conditioned by additively and multiplicatively acting factors expressed by the power and exponential functions, let’s choose the corresponding types of displaced equations, that is: АМ-X(а1, а2, μ1, μ2, х> х01, х > х02), АМ-X(а1, а2, μ1, μ2, х < х01, х < х02). Let’s set: the number of decimal ranks, taken into account in computations – 4; the relative computation error – 0,001. The input data, formulae and charts of the plotted regression equations are shown on drawing 12.

The equation with right-side asymmetry and its chart computed on the data of table 16 are shown on fragment a. The field of its definition is х > 0,68. The equation with left-side asymmetry and its chart computed on the data of table 17 in two modes are shown on fragment b.

In the first mode the intersection point of the regression curve with Y vertical axis is not specified. The Y1 equation with 0 < х < 70,1634 definition field is received.

In the second mode such point with (0, 0) coordinates is specified. The Y2 equation with 0 < х < 71,6912 definition field is received.

Example 13: The values of Xi argument and corresponding to them distribution of Yi quantity random values are specified. The Yi values distribution is moved away axially abscissa from the beginning of coordinates. It is evaluated in terms of abrupt rise on the left, two maximums and abrupt descent on the right. Let’s suppose that such distribution is conditioned by the influence of two additively acting factors expressed by two inter-directed asymmetric functions, each of them being presented by the combination of power and exponential functions. Let’s choose the suitable type of displaced equation, that is: АМ-X(а1, а2, μ1, μ2, х01< х < х02). In the options of its parameters let’s select: the number of decimal digits after the radix in its formula – 4; the relative error of parameters definition – 0,001. The specified points as well as the regression equation and its chart are presented on drawing 13. The field definition of the received equation is 6, 9795 < х < 15, 049.


The equations of PKS SP form

Example 14: According to experimental points with Xi and Yi coordinates given in table 19 one is to plot the regression equation describing the transition process from some initial Y1 dependent quantity to its finite Y2 value. Let’s suppose that the regression is conditioned by additive influence of the factor introduced in the form of quasi-jump function interfacing Y1 values at the beginning with Y2 values at the end of transition. Thus, the charts of initial (before transition) and finite (after transition) quasi-jump function areas are to be expressed by horizontal straight curves.

Let’s choose the type of the sought for equation, that is: А-X(х0, β)H. In its parameters options let’s set: the number of decimal digits after the radix in the equation formula – 5; the relative error of parameters definition – 0,001. The given points as well the regression equation and its chart computed by the program are shown on drawing 14. It follows from the equation formula that the quasi-jump function interfaces asymptotically at the beginning and at the end of transition with corresponding Y1 and Y2 values: Y1 = 0, 01169; Y2 = 0,99135. The argument value in the transition central point between them constitutes as follows: х0 = 17,02007.

Example 15: On specified Xi and Yi values given in table 20 it is required to plot the regression equation describing the transition process from the initial Y1 linear function to finite Y2 linear function. It is known that the Y2 function is to have the slope identical to that of Y1 function.

Let’s assume that the regression is conditioned by additive influence of the factors introduced in the form of quasi-jump function, interfacing the Y1 linear function acting at the beginning of transition with its Y2 analogue displaced on ordinate axis and acting at the end of transition. Thus, the charts of initial (before transition) and finite (after transition) quasi-jump function areas are to be expressed by sloping and parallel straight curves. Let’s choose the sought for equation type, that is А-X(х0, β)P. In the options of its parameters let’s set: the number of decimal digits after the radix – 5; the relative error of parameters definition – 0,001.

It follows from the equation formula that the quasi-jump function in its initial and finite areas interfaces asymptotically with the corresponding linear equations, that is:

Y1 = -0, 47651• x + 90, 81787;

Y2 = -0, 47651 • x – 101, 1191.

The argument value in the transition central point between them constitutes as follows:
х0 = - 0,03746.

Example 16: On specified Xi and Yi values given in table 21 it is required to plot the regression equation describing the transition process from the initial Y1 linear function to finite Y2 linear function.

Let’s suppose that the regression is conditioned by additive influence of the factors presented in the form of quasi-jump function interfacing the Y1 linear function that acts at the beginning of transition with another Y2 linear function that acts at the end of transition. Thus, the charts of initial (before transition) and finite (after transition) quasi-jump function are to be expressed by some kind of straight curves. Let’s choose the sought for equation type, that is: А-X(х0, β). In its set options let’s specify: the number of decimal digits after the radix in the equation formula – 5; the relative error of its parameters definition – 0,001. The given points, regression equation and its chart computed by the program are shown on drawing 16. It follows from the equation formula that the quasi-jump function in its initial and finite areas interfaces asymptotically with the corresponding linear equations, that is:

Y1 = -0, 5361 • x – 9, 00259;

Y2 = 0, 21625 • x + 9, 28661.

The argument value in the transition central point between them constitutes as follows:
х0 = 2,52134.


The equations of PSin form

Example 17. Some values of Xi argument and dependent from it random values of Yi quantity are specified in table 22. Assuming that the sought for Y regression is conditioned by the additive influence of one, periodically acting factor, being reflected by a sine function, let’s choose the corresponding equation type, that is, A-X(ω, φ). In the options of specified parameters let’s choose: the number of decimal digits after the radix in the equation formula – 4; the relative error of defining the sine frequency and phase – 0,001. The mathematic formula and regression equation chart computed by the program are presented in drawing 17.


The equations of PASin form

Example 18. Some values of Xi argument and dependent from it random values of Yi quantity are specified in table 23. Let’s assume that the sought for Y regression describes the process of oscillations’ damping to constant level. It is formed under the influence of two multiplicatively acting factors. The oscillation factor is expressed by the sine function and the factor of its amplitude damping – by the exponential function. The regression equation of the AM-X(ω, φ, βa) type fits the given conditions. In the options of its parameters let’s choose: the number of decimal digits after the radix in the equation formula – 4; the relative error of defining the sine frequency and phase – 0,001. The mathematic formula and regression equation chart computed by the program are presented in drawing 18.


The equations of PPSin form

Example 19. Some values of Xi argument and dependent from it random values of Yi quantity are specified in table 24. Let’s suppose that the sought for Y regression is formed under the influence of two additively interacting factors. The action of one of them results in monotonic background decrease and is described by the exponential function and the action of another – to near-background oscillations and is described by the sine function. Let’s select the corresponding equation type, that is A-X(ω, φ, βp). In the options of its parameters let’s choose: the number of decimal digits after the radix in the equation formula – 4; the relative error of defining the functions’ parameters – 0,001. The mathematic formula and regression equation chart computed by the program are introduced in drawing 19.


The equations of PPASin form

Example 20. Some values of Xi argument and dependent from it random values of Yi quantity are specified in table 25. Let’s assume that the sought for Y regression describes damping oscillations around the variable level, monotonously ascending to stable state. It is formed under the influence of three factors. The additive action of one of them, being monotonously ascending, is described by the exponential function and the multiplicative action of two others, being periodic, is described by the sine with decreasing amplitude. Let’s select the corresponding equation type, that is A-X(ω, φ, βa, βp). In the options of its parameters let’s choose: the number of decimal digits after the radix in the equation formula – 4; the relative error of defining functional parameters – 0,001. The mathematic formula and regression equation chart computed by the program are introduced in drawing 20.


Technical support

For the aid in program application you can address the appeal to:

IM UB RAS, Yekaterinburg, Mamin-Sibiryak st., 58, room 804.

Tel. (343) 350-37-09

E-mail: antonov@igduran.ru , mikhail-66@mail.ru

To purchase the complete-functional program version:

IM UB RAS, Yekaterinburg, Mamin-Sibiryak st., 58, room 404.

Tel. (343) 350-21-86

Fax (343) 30-21-11

E-mail: direct@igduran.ru


License agreement

Top Previous

In the present License Agreement with the finite user hereinafter called “Agreement” the program Non-linear regression equations, two-dimensional function-factor trends with self-diagnosed parameters and heightened truth (FSP-1 trends), including without restrictions any names, computer codes, themes, objects titles, conceptions and working methods relating to them as well as printing materials and dialogue and electronic documentation, connected with it, and all copies too constitute in total the definition “Program”.

1. PROPERTY

The program, all copies and inseparable program derivatives and all intellectual property rights on the Program as well as any copies of this kind and their derivatives are the exclusive property of the IM UB RAS (the registration number 2011616230) with the following domicile: Yekaterinburg, Mamin-Sibiryak st., 58.

The program is protected in accordance with Russian statutes on copyright, international agreements on copyright and with agreement and other applicable statutes.

2. THE LICENSE GRANTING

All cases of the Program application fall under the action of the afore-said agreement. The program can be utilized only for a period of the agreement action. Any application of the whole program or any of its parts including either unrestricted duplicating the latter or propagation apart from the terms of this agreement is unambiguously prohibited.

This is to grant You restricted, non-exclusive license (“License”) for setting and utilization of one (1) copy for your personal use and only on one computer. The Program setting in the mains or any other setting on more than one computer is prohibited.

Setting the Program You are becoming the License user and consent to carry out the appropriate terms of the afore-said agreement. The license does not imply any rights on holding the complete Program or any of its pieces.

3. REFERENCE ON APPLICATION

You agree with the fact that in cases of representation, publication, placement, edition and (or) propagation in literature, in the Internet mains, including articles, reports, magazines, books, sites, web logs, or in other official printed, manuscript, Internet editions and documents; charts, mathematic trend formulae received with the Program-aid or any of its features, parameters, file images and any other Program fragments You are to accompany the above-mentioned materials with the following reference: Antonov V.A. Non-linear regression equations, two-dimensional function-factor trends with self-diagnosed parameters and heightened truth (FSDP-1 trends): the program for electronic computers (EC), RF; the registration number
2011616230 / V.A. Antonov, M.V. Yakovlev; IM UB RAS. – Yekaterinburg, 2011.

4. RESTRICTIONS ON APPLICATION

You have no right to utilize the program in any other way, different from the afore-said and in particular You are not able:

(a) to completely or partially edit, copy, photo-copy, represent, translate it into the other languages as well as to re-design the program, take out its initial code or change, dismantle or decompile; to create any derivative articles based on the Program except for the cases permitted by the legislation in force in spite of this restriction;

(b) to move away any warnings, firm marks from any part of the Program for application on more than one computer without previously written consent of the IM UB RAS;

(c) to withdraw or pick out any component parts of the Program for application on more than one computer or any similar parts on more than one computer;

(d) to sell, pawn or hand over any Program copies (or any of its pieces) to the third party in any way as well as to hire out or grant on sub-lease to the third party without preliminary written consent of the IM UB RAS.